Short-chain queries v1

Last updated:2021-12-15
Short-chain queries v1

Overview

API Horizontally supports the short-chain information function for page breaks

Call Authentication

HTTP Header(head)Key/Value Yes: Authorization: Basic base64_auth_string of which base64_auth_string The generation algorithm is:base64(appKey:masterSecret) That's right. appKey Add a colon and add masterSecret Collapse string. Do it again. base64 Convert.

Call Address

GET https://api.jmlk.co/v1/links

Example request

curl --insecure -X GET -v https://api.jmlk.co/v1/links?page_index=1&page_size=20 -u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"
          curl --insecure -X GET -v https://api.jmlk.co/v1/links?page_index=1&page_size=20
-u "7d431e42dfa6a6d693ac2d04:5e987ac6d2e04d95a9d8f0d1"

        
This code block is shown in the floating window

Request Params

Parameter Name Selected Parameter Type Example value Annotations
page_index FALSE Integer 1 Pages, default 1
page_size FALSE Integer 20 Number of query bars, default 20, most supported500Article

Returns Example

HTTP/1.1 200 { "total": 2, "records": [{ "id": 1 "link_key": "AAAA", "name": "test001", "channel": "QQ", "app_domain": "xxxxxx.jmlk.co", "share_title": "商品详情", "share_desc": "产品介绍、说明", "android_uri": "androidUri", "ios_uri": "iosUri", "jump_link_type": "DOWNLOAD", "landing_page": "https://www.jiguang.cn", "create_time": "2020-08-03", "update_time": "2020-08-04" },{ "id": 2 "link_key": "AAAB", "name": "test001", "channel": "微信", "app_domain": "xxxxxx.jmlk.co", "share_title": null, "share_desc": null, "android_uri": "test001", "ios_uri": "test001", "jump_link_type": "DOWNLOAD", "landing_page": "", "create_time": "2020-08-01, "update_time": "2020-08-02 } ] }
          HTTP/1.1 200

{
"total": 2,
"records": [{
 "id": 1
 "link_key": "AAAA",
 "name": "test001",
 "channel": "QQ",
 "app_domain": "xxxxxx.jmlk.co",
 "share_title": "商品详情",
 "share_desc": "产品介绍、说明",
 "android_uri": "androidUri",
 "ios_uri": "iosUri",
 "jump_link_type": "DOWNLOAD",
 "landing_page": "https://www.jiguang.cn",
 "create_time": "2020-08-03",
 "update_time": "2020-08-04"
 },{
 "id": 2
 "link_key": "AAAB",
 "name": "test001",
 "channel": "微信",
 "app_domain": "xxxxxx.jmlk.co",
 "share_title": null,
 "share_desc": null,
 "android_uri": "test001",
 "ios_uri": "test001",
 "jump_link_type": "DOWNLOAD",
 "landing_page": "",
 "create_time": "2020-08-01,
 "update_time": "2020-08-02
 }
 ]
}

        
This code block is shown in the floating window

Response Params

Parameter Name Parameter Type Example value Annotations
total int 2 Total
records JsonArray
id int 1 Primary Key
link_key String AAAA Short chains.key
name String product Short-chain service name
channel String QQ Short chain drop channel
app_domain String xxxxxx.jmlk.co Domain Name
share_title String Commodity Details Share Title
share_desc String Product description, description Sharing profiles
android_uri String androidUri Android URI Scheme
ios_uri String iosUri iOS URI Scheme
jump_link_type String LANDING_PAGE Type of guide page,DOWNLOAD: Download pages,LANDING_PAGE: WebGuide Page
landing_page String https://www.jiguang.cn Page Address
create_time String 2020-08-01 Created
update_time String 2020-08-02 Modified

Return Code

Click to ViewResponse Code Reference

Was this document helpful?

Copyright 2011-2026, jiguang.cn, All Rights Reserved. 粤ICP备12056275号-13 Shenzhen Hexun Huagu Information Technology Co., Ltd.

Open in Docs Center